﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows.Forms;

namespace WindowsFormsAppAudioPitch
{
    public partial class Form1 : Form
    {
        public Form1()
        {
            InitializeComponent();
        }

        private void Button1_Click(object sender, EventArgs e)
        {
            try
            {
                this.openFileDialog1.Filter = "All Files (*.*)|*.*|AVCHD (*.m2ts*.m2t,*,mts,*.ts)|*.m2ts;*.m2t;*.mts;*.ts|Flash (*.swf)|*.swf|FLV (*.flv)|*.flv|QuickTime (*.mov) | *.mov|MP4 (*.mp4) | *.mp4|Divx (*.divx) | *.divx|webm (*.webm)|*.webm|3GP (*.3gp) | *.3gp|mpg (*.mpg) | *.mpg|avi (*.avi) | *.avi|wmv (*.wmv)| *.wmv|asf (*.asf) | *.asf|JPEG (*.jpg)|*.jpg|Bitmap (*.bmp)|*.bmp|Gif (*.gif)|*.gif ";

                if (this.openFileDialog1.ShowDialog(this) == DialogResult.OK)
                {
                    textBox1.Text = this.openFileDialog1.FileName;
                }
            }
            catch (Exception ex)
            {
                MessageBox.Show(ex.ToString());

            }
        }

        private void Button2_Click(object sender, EventArgs e)
        {
            axVideoEdit1.InfoLoadMedia(textBox1.Text);

            double iDur = Math.Round(this.axVideoEdit1.InfoDuration, 2);

            int iWidth = axVideoEdit1.InfoMediaWidth;
            int iHeight = axVideoEdit1.InfoMediaHeight;
            
            if ((iWidth == 0) || (iHeight == 0))
            {
                iWidth = 320;
                iHeight = 240;
            }

            this.axVideoEdit1.OutputFileWidth = (short)iWidth;
            this.axVideoEdit1.OutputFileHeight = (short)iHeight;
            this.axVideoEdit1.OutputType = VIDEOEDITLib.MYOUTPUT.MP4;

            this.axVideoEdit1.MP4VideoBitrate = 3000000;
            this.axVideoEdit1.MP4Framerate = 25;
            this.axVideoEdit1.MP4Width = 1280;
            this.axVideoEdit1.MP4Height = 720;

            this.axVideoEdit1.VideoSampleSize = 32;
            this.axVideoEdit1.UseAudioPitch = true;
            this.axVideoEdit1.AudioPitchChangeKey (12);
            this.axVideoEdit1.InitControl();
            this.axVideoEdit1.AddVideo(this.textBox1.Text, 0, iDur, 0);
            this.axVideoEdit1.AddAudio(this.textBox1.Text, 0, iDur);

            this.saveFileDialog1.Filter = "MP4 File (*.mp4)|*.mp4||";
            if (this.saveFileDialog1.ShowDialog(this) == DialogResult.OK)
            {
                bool result = this.axVideoEdit1.Save(this.saveFileDialog1.FileName);

            }




        }

        private void AxVideoEdit1_Complete(object sender, EventArgs e)
        {
            MessageBox.Show("Converted Completed");
        }
    }
}